
package de.ivu.elect.business.stimmeingabe.control;

import java.io.Serializable;

import de.ivu.elect.business.dokumente.entity.DokumentVorlage;
import de.ivu.elect.business.ergebnis.entity.Ergebnisart;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingangsart;
import de.ivu.elect.business.wahl.entity.Wahldurchfuehrung;

// TODO: Ablösen durch StimmeingabeAlsDokumentExportContext -- kein inhaltlicher Unterschied!
@Deprecated
public class StimmeingabeKontrolleExportContext implements Serializable {

  private static final long serialVersionUID = 1L;

  private final Wahldurchfuehrung wahldurchfuehrung;

  private final Ergebniseingangsart ergebniseingangsart;

  private final DokumentVorlage dokumentVorlageNormal;

  private final DokumentVorlage dokumentVorlageBriefwahlbezirk;

  public StimmeingabeKontrolleExportContext(Wahldurchfuehrung wahldurchfuehrung, Ergebnisart ergebnisart,
      DokumentVorlage dokumentVorlageNormal, DokumentVorlage dokumentVorlageBriefwahlbezirk) {
    this.wahldurchfuehrung = wahldurchfuehrung;
    this.dokumentVorlageNormal = dokumentVorlageNormal;
    this.dokumentVorlageBriefwahlbezirk = dokumentVorlageBriefwahlbezirk;

    if (ergebnisart.isEndgueltig()) {
      this.ergebniseingangsart = Ergebniseingangsart.ENDGUELTIG;
    } else {
      this.ergebniseingangsart = Ergebniseingangsart.VORLAEUFIG;
    }
  }

  public Wahldurchfuehrung getWahldurchfuehrung() {
    return wahldurchfuehrung;
  }

  public Ergebniseingangsart getErgebniseingangsart() {
    return ergebniseingangsart;
  }

  public DokumentVorlage getDokumentVorlageNormal() {
    return dokumentVorlageNormal;
  }

  public DokumentVorlage getDokumentVorlageBriefwahlbezirk() {
    return dokumentVorlageBriefwahlbezirk;
  }
}
